summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDoug Goldstein <cardoe@gentoo.org>2012-11-18 05:30:57 +0000
committerDoug Goldstein <cardoe@gentoo.org>2012-11-18 05:30:57 +0000
commit99efc7b4f374f180be91371c7ff8a787ee0eae5d (patch)
tree2a2df50ccc1554b8eabcd8941c8850f72cb0a120 /net-firewall/firewalld
parentStabilize on x86 based on a user report in bug #435700 since x86 is falling w... (diff)
downloadhistorical-99efc7b4f374f180be91371c7ff8a787ee0eae5d.tar.gz
historical-99efc7b4f374f180be91371c7ff8a787ee0eae5d.tar.bz2
historical-99efc7b4f374f180be91371c7ff8a787ee0eae5d.zip
OpenRC now carries support for FirewallD, handle it.
Package-Manager: portage-2.1.11.31/cvs/Linux x86_64
Diffstat (limited to 'net-firewall/firewalld')
-rw-r--r--net-firewall/firewalld/ChangeLog8
-rw-r--r--net-firewall/firewalld/Manifest5
-rw-r--r--net-firewall/firewalld/firewalld-0.2.9-r1.ebuild90
-rw-r--r--net-firewall/firewalld/firewalld-0.2.9.ebuild10
4 files changed, 104 insertions, 9 deletions
diff --git a/net-firewall/firewalld/ChangeLog b/net-firewall/firewalld/ChangeLog
index c26e002ddab8..ee681d9ffd5e 100644
--- a/net-firewall/firewalld/ChangeLog
+++ b/net-firewall/firewalld/ChangeLog
@@ -1,6 +1,12 @@
# ChangeLog for net-firewall/firewalld
# Copyright 1999-2012 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/net-firewall/firewalld/ChangeLog,v 1.7 2012/11/10 19:49:37 cardoe Exp $
+# $Header: /var/cvsroot/gentoo-x86/net-firewall/firewalld/ChangeLog,v 1.8 2012/11/18 05:30:51 cardoe Exp $
+
+*firewalld-0.2.9-r1 (18 Nov 2012)
+
+ 18 Nov 2012; Doug Goldstein <cardoe@gentoo.org> firewalld-0.2.9.ebuild,
+ +firewalld-0.2.9-r1.ebuild:
+ OpenRC now carries support for FirewallD, handle it.
10 Nov 2012; Doug Goldstein <cardoe@gentoo.org> files/firewalld.module:
Fix the OpenRC module.
diff --git a/net-firewall/firewalld/Manifest b/net-firewall/firewalld/Manifest
index a6a89a91570f..09e46e4b8d3d 100644
--- a/net-firewall/firewalld/Manifest
+++ b/net-firewall/firewalld/Manifest
@@ -2,6 +2,7 @@ AUX firewalld.init 389 SHA256 17270614f049ad7662718720fa1c205b1859f9d5d7550b488f
AUX firewalld.module 681 SHA256 695dea47b5c0e82f6666928cbf19cb8d8c8141b1405f4e82c0561a3d482737e0 SHA512 8f3a04b73562f20d231614fe6e86e40c76e1500c7e8843405d536bbab1cb33bddc8da035983c093cce2cd7d0f7a8602779dd3dc77700951f09cc9e9fc86c935d WHIRLPOOL ec938906d9be0865e9bbdf4006103bf9cbee1855ec770bd209eee2be479a1a7e66310fd8ff6fb61d70ac6552233cebaf9fe09f08969a16b7ead26c6af5cdf13f
DIST firewalld-0.2.9-190680ba.tar.xz 3948 SHA256 610d1da880269220788aaa114879f3f6bcd463ab2cca92062a1f262277fb24fd SHA512 b053e2f504f4f318246c2b14c36fe3502a933e380333cfb82a79281e0c0f5cef89a05939b5adee18a7c26fe408b90ca24b9ab46b948696c7901da2f8e8f8db7c WHIRLPOOL 78ada112953a2385be74511ae9c1601c3d6334727dbaaec2124819a16299d2184e110cabbf719dc2bf837aa3a33ef799d77394f081f2d90ef5d57e3e4fc3dd30
DIST firewalld-0.2.9.tar.bz2 280445 SHA256 106fd985074a74bbd84a3c866fa4023693b185d0e8b3e386d0aec9627b36bfd0 SHA512 1e1518ad2b7dd8e2c987bfa7b1efc72e7735444235a240350655801dc84a05fc1f9c524ea7ba71d5cc7d16735f2f54f3ed7d8bdd4b4770036a5756e379f7d656 WHIRLPOOL 849ccf8334f39333aa3c08e317d912528c4e69ebbb4db719ecf8428cc33c5f6e0d6a24eaef0f03ffbf912ce4619807904a3fd212cf6e63700c84dd1036291674
-EBUILD firewalld-0.2.9.ebuild 2284 SHA256 60b332e7733457c20e535f28baa8d55efc5de1b8fd3d3678abe01f94ab2253c1 SHA512 b5d76bf8a2d0743b5aff935fb7d24435656ded2cee04bfce975fd210b8361da214ad053e2938b2d17aa1b8f66baae19942b662337d0d2f4b81403380a7c562e0 WHIRLPOOL f83e57c87f8b4bdb203124f85b7f1a47d51098a92b046a0c9604d62f1873507aa4a97eb4cbcff0d38f56583b31158394ce29599cdd1c089dbb1c6963b64acc59
-MISC ChangeLog 1240 SHA256 f7e03aa453cb462fc716d926a8aa6a12720c7884c6894e12d6080f232cbb2c36 SHA512 2e8685be17ecc1ed7ecaa706ff0084088789a9e0ed1012928898473e845df665366c7aefe90d162edc3776d4efc3e2d7c77e8b1489c3c21a0555252e490dda4a WHIRLPOOL cc0c55ca72105a4d8628ab8b0eb22acf5e43d681da306ac84827432166adc11eb541989691fd3edd423f4ceafeb49a41383a7dcad5d2e8ced6dec1507aa0ab08
+EBUILD firewalld-0.2.9-r1.ebuild 2103 SHA256 9d234d5e85bf2911750072ed7b901e11fdf996d1e220118d4449a2323080f70b SHA512 11c4867fa864052b73951d2c2f1bfdbaaeb918e5e69f1453f70baf588eea06c8e81c20400b84be63bac3eb7b6310d1d51ad07e4b255ca5fc67966b776ca205c2 WHIRLPOOL dc4a8a9a83cbafa8b9bb87335456219d528766c33910f0a8ee5fa067033a6b11852fc8bd63e3db6e8ba0bc277ff77324e5107f5263219d1ce5d0c6c93da63c97
+EBUILD firewalld-0.2.9.ebuild 2237 SHA256 ac9c19ec1e552a977cc554891293f3f7d3f050d27738c0ee9165d514435eda54 SHA512 a20c54c2e4e581671f0f1aeb2e5fa05d98a948087c0c3790b5686c327010a2abec72c4c56a156b0dcb535c022b0d713c76c4b57fc4202c391b14e95698cd2c2e WHIRLPOOL 81b752d559ef1d74c2621bb7607a3a732bf31245ca4937caaf93e580bd7fea4a802e59b8570aee58ffaea91eb7c905c16de1f51a6e62b741419b3b3f197b4d5c
+MISC ChangeLog 1435 SHA256 d9935f5261961b9d3db4703859040f33aaed8f2f0512b7d5d0472c4b2c84d4b3 SHA512 62520c3021e2f3b79dce23b1bce6657304cb5b06a189cd28012683d1ad72f5beb65cfadde9aa24e97281512fc5b0ab4be450367b145712e8a7f93a30ee7fb8d8 WHIRLPOOL 720ce5666880c3fb2b3400be6696e6c1e026b59a2316979340ea1dd7ed584e6ff0ad19cd9859c3335d71dcf96ae5e174978e459544a69294fcac872fe242cbb3
MISC metadata.xml 357 SHA256 ebd525995b6a8776c10d984533962fefe49a9d2e7e04ded9cc5b3efe664a58a8 SHA512 3bbc1d68b2999faf4c3a6acaf45f78621a7b612c7c691e5fdfbd7a92793be7629d67c7abf04b455c7cbef5bb0ab53214dfa15006a15df7fa40adca6689995c35 WHIRLPOOL 15b22a034a9186a4656431d20a4b64cb338ec865900fabf613e17da4c17f8e417fdf3223faaf6a9560c071b796c719157e84a8030bcf7365601f671b794461d2
diff --git a/net-firewall/firewalld/firewalld-0.2.9-r1.ebuild b/net-firewall/firewalld/firewalld-0.2.9-r1.ebuild
new file mode 100644
index 000000000000..b5f7dcf0249c
--- /dev/null
+++ b/net-firewall/firewalld/firewalld-0.2.9-r1.ebuild
@@ -0,0 +1,90 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/net-firewall/firewalld/firewalld-0.2.9-r1.ebuild,v 1.1 2012/11/18 05:30:51 cardoe Exp $
+
+EAPI=4
+PYTHON_COMPAT=( python{2_6,2_7} )
+BACKPORTS=190680ba
+
+inherit autotools eutils gnome2-utils python-r1 systemd multilib
+
+DESCRIPTION="A firewall daemon with D-BUS interface providing a dynamic firewall"
+HOMEPAGE="http://fedorahosted.org/firewalld"
+SRC_URI="https://fedorahosted.org/released/firewalld/${P}.tar.bz2
+ ${BACKPORTS:+http://dev.gentoo.org/~cardoe/distfiles/${P}-${BACKPORTS}.tar.xz}"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="gui"
+
+RDEPEND="${PYTHON_DEPS}
+ dev-python/dbus-python
+ dev-python/decorator
+ >=dev-python/python-slip-0.2.7[dbus]
+ dev-python/pygobject:3
+ net-firewall/ebtables
+ net-firewall/iptables[ipv6]
+ || ( >=sys-apps/openrc-0.11.5 sys-apps/systemd )
+ gui? (
+ dev-python/pygtk:2
+ >=x11-libs/gtk+-2.6:2
+ x11-libs/gtk+:3
+ )"
+DEPEND="${RDEPEND}
+ dev-libs/glib:2
+ >=dev-util/intltool-0.35
+ sys-devel/gettext"
+
+src_prepare() {
+ [[ -n ${BACKPORTS} ]] && \
+ EPATCH_FORCE=yes EPATCH_SUFFIX="patch" EPATCH_SOURCE="${S}/patches" \
+ epatch
+
+ epatch_user
+ eautoreconf
+}
+
+src_configure() {
+ python_export_best
+
+ econf \
+ --enable-systemd
+ "$(systemd_with_unitdir 'systemd-unitdir')"
+}
+
+src_install() {
+ python_foreach_impl \
+ emake DESTDIR="${ED}" pythondir="$(python_get_sitedir)" install
+
+ # Get rid of junk
+ rm -f "${ED}/etc/rc.d/init.d/firewalld"
+ rm -f "${ED}/etc/sysconfig/firewalld"
+ rm -rf "${ED}/etc/rc.d/"
+ rm -rf "${ED}/etc/sysconfig/"
+
+ # For non-gui installs we need to remove GUI bits
+ if ! use gui; then
+ rm -f "${ED}/usr/bin/firewall-applet"
+ rm -f "${ED}/usr/bin/firewall-config"
+ rm -rf "${ED}/usr/share/icons"
+ rm -rf "${ED}/usr/share/applications"
+ fi
+
+ newinitd "${FILESDIR}"/firewalld.init firewalld
+}
+
+pkg_preinst() {
+ gnome2_icon_savelist
+ gnome2_schemas_savelist
+}
+
+pkg_postinst() {
+ gnome2_icon_cache_update
+ gnome2_schemas_update
+}
+
+pkg_postrm() {
+ gnome2_icon_cache_update
+ gnome2_schemas_update
+}
diff --git a/net-firewall/firewalld/firewalld-0.2.9.ebuild b/net-firewall/firewalld/firewalld-0.2.9.ebuild
index f5d121831844..cbb10b730f93 100644
--- a/net-firewall/firewalld/firewalld-0.2.9.ebuild
+++ b/net-firewall/firewalld/firewalld-0.2.9.ebuild
@@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/net-firewall/firewalld/firewalld-0.2.9.ebuild,v 1.6 2012/11/08 03:56:30 cardoe Exp $
+# $Header: /var/cvsroot/gentoo-x86/net-firewall/firewalld/firewalld-0.2.9.ebuild,v 1.7 2012/11/18 05:30:51 cardoe Exp $
EAPI=4
PYTHON_COMPAT=( python{2_6,2_7} )
@@ -25,7 +25,7 @@ RDEPEND="${PYTHON_DEPS}
dev-python/pygobject:3
net-firewall/ebtables
net-firewall/iptables[ipv6]
- || ( sys-apps/openrc sys-apps/systemd )
+ || ( <sys-apps/openrc-0.11.5 sys-apps/systemd )
gui? (
dev-python/pygtk:2
>=x11-libs/gtk+-2.6:2
@@ -74,10 +74,8 @@ src_install() {
newinitd "${FILESDIR}"/firewalld.init firewalld
# Work around until OpenRC starts carrying our module
- if has_version '<=sys-apps/openrc-0.11.4'; then
- insinto $(get_libdir)/rc/net
- newins "${FILESDIR}"/firewalld.module firewalld.sh
- fi
+ insinto $(get_libdir)/rc/net
+ newins "${FILESDIR}"/firewalld.module firewalld.sh
}
pkg_preinst() {